#!/usr/bin/zsh

SCRIPT_PATH="$( cd "$(dirname "$0")" ; pwd -P )"
NUMBER=$1

if [ ! -d "${SCRIPT_PATH}/day_${NUMBER}" ]; then
  mkdir "${SCRIPT_PATH}/day_${NUMBER}"
else
  echo "folder ${SCRIPT_PATH}/day_${NUMBER} already exists"
  exit
fi

cd "${SCRIPT_PATH}/day_${NUMBER}" || exit

touch input.txt part_1.php part_2.php

echo "DONE"

exit